/* global jQuery */
(function ($, Drupal) {
  Drupal.behaviors.urlAliasUpdate = {
    attach: function (context, settings) {

      var $form = $('#taxonomy-term-standard-document-group-form, #taxonomy-term-standard-document-type-form'),
        $urlAlias = $('#edit-field-simple-document-url-wrapper input', $form),
        $urlTitle = $('#edit-name-wrapper input', $form),
        title = '',
        slug = function (title) {
          return title.toLowerCase().replace(/ /g, '-').replace(/[^\w-]+/g, '')
        },
        updateTitleCallback = function () {
          title = $(this).val();
          // slug callback
          // http://stackoverflow.com/questions/1053902/ddg#1054862
          title = slug(title);
          $urlAlias
            .val(title)
            .attr('placeholder', title);
        };

      $urlTitle.once('simple_document').on('blur', updateTitleCallback);
      console.log($urlTitle.val());
      title = slug($urlTitle.val());
      $urlAlias
        .val(title)
        .attr('placeholder', title);
    }
  };
})(jQuery, Drupal);
