<?php

namespace Drupal\document_version\Entity;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\Core\Entity\EntityChangedInterface;
use Drupal\Core\Entity\EntityPublishedInterface;
use Drupal\user\EntityOwnerInterface;

/**
 * Provides an interface for defining Document entity entities.
 *
 * @ingroup document_version
 */
interface DocumentEntityInterface extends ContentEntityInterface, EntityChangedInterface, EntityPublishedInterface {

  /**
   * Add get/set methods for your configuration properties here.
   */

  /**
   * Gets the Document entity creation timestamp.
   *
   * @return int
   *   Creation timestamp of the Document entity.
   */
  public function getCreatedTime();

  /**
   * Sets the Document entity creation timestamp.
   *
   * @param int $timestamp
   *   The Document entity creation timestamp.
   *
   * @return \Drupal\document_version\Entity\DocumentEntityInterface
   *   The called Document entity entity.
   */
  public function setCreatedTime($timestamp);
  
  /**
   * Get the document type
   * @return \Drupal\taxonomy\Entity\Term
   */
  public function getDocumentType();
  
  /**
   * @param int $tid
   * @return \Drupal\document_version\Entity\DocumentEntityInterface
   *   The called Simple Document entity.
   */
  public function setDocumentType($tid);
  
  /**
   * @return mixed
   */
  public function getEffectiveDate();
  
  /**
   * @param int $timestamp
   * @return \Drupal\document_version\Entity\DocumentEntityInterface
   *   The called Simple Document entity.
   */
  public function setEffectiveDate($timestamp);

}
