<?php

namespace Drupal\document_version\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBundleBase;

/**
 * Defines the Document entity type entity.
 *
 * @ConfigEntityType(
 *   id = "document_entity_type",
 *   label = @Translation("Document entity type"),
 *   handlers = {
 *     "view_builder" = "Drupal\Core\Entity\EntityViewBuilder",
 *     "list_builder" = "Drupal\document_version\DocumentEntityTypeListBuilder",
 *     "form" = {
 *       "add" = "Drupal\document_version\Form\DocumentEntityTypeForm",
 *       "edit" = "Drupal\document_version\Form\DocumentEntityTypeForm",
 *       "delete" = "Drupal\document_version\Form\DocumentEntityTypeDeleteForm"
 *     },
 *     "route_provider" = {
 *       "html" = "Drupal\document_version\DocumentEntityTypeHtmlRouteProvider",
 *     },
 *   },
 *   config_prefix = "document_entity_type",
 *   admin_permission = "administer site configuration",
 *   bundle_of = "document_entity",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid"
 *   },
 *   links = {
 *     "canonical" = "/admin/structure/document_entity_type/{document_entity_type}",
 *     "add-form" = "/admin/structure/document_entity_type/add",
 *     "edit-form" = "/admin/structure/document_entity_type/{document_entity_type}/edit",
 *     "delete-form" = "/admin/structure/document_entity_type/{document_entity_type}/delete",
 *     "collection" = "/admin/structure/document_entity_type"
 *   }
 * )
 */
class DocumentEntityType extends ConfigEntityBundleBase implements DocumentEntityTypeInterface {

  /**
   * The Document entity type ID.
   *
   * @var string
   */
  protected $id;

  /**
   * The Document entity type label.
   *
   * @var string
   */
  protected $label;

}
