<?php

namespace Drupal\document_version\Entity;

use Drupal\views\EntityViewsData;

/**
 * Provides Views data for Document entity entities.
 */
class DocumentEntityViewsData extends EntityViewsData {

  /**
   * {@inheritdoc}
   */
  public function getViewsData() {
    $base_table = $this->entityType->getBaseTable() ?: $this->entityType->id();
    $data = parent::getViewsData();


    // adding views custom field - is active
    $data[$base_table]['document_entity_is_active'] = [
      'title' => $this->t('Document Entity type flag'),
      'field' => [
        'title' => $this->t('Document Active Flag'),
        'help' => $this->t('Shows whether a document is the active document version.'),
        'id' => 'document_entity_is_active'
      ]
    ];
    
    $data[$base_table]['document_entity_download_link'] = [
      'title' => $this->t('Document Entity Download Link'),
      'field' => [
        'title' => $this->t('Document Download Link'),
        'help' => $this->t('Provides a download link for a document type'),
        'id' => 'document_entity_download_link'
      ]
    ];
    
    // adding views custom filter - for is active
    
    $data[$base_table]['is_active_filter'] = [
      'title' => $this->t('Is Active Filter'),
      'filter' => [
        'title' => $this->t('Is Active Filter'),
        'help' => $this->t('Provides a custom filter for whether a document is active'),
        'field' => 'document_entity_is_active',
        'id' => 'document_entity_is_active_filter'
      ]
    ];
    
    return $data;
  }

}
