<?php

namespace Drupal\document_version\Plugin\views\field;

use Drupal\views\Plugin\views\field\FieldPluginBase;
use Drupal\views\ResultRow;

/**
 * Field handler to flag the node type.
 *
 * @ingroup views_field_handlers
 *
 * @ViewsField("document_entity_is_active")
 */
class DocumentActiveFlag extends FieldPluginBase {
  
  /**
   * @{inheritdoc}
   */
  public function query() {
    // Leave empty to avoid a query on this field.
  }
  
  /**
   * @{inheritdoc}
   */
  public function render(ResultRow $values) {
    $entity = $values->_entity;
    /**
     * @var \Drupal\document_version\DocumentManager $manager
     */
    $manager = \Drupal::service('document_version.manager');
    if ($manager->isActive($entity)) {
      return $this->t('Active');
    }
    else {
      return $this->t('Not active');
    }
  }
}
