<?php

namespace Drupal\document_version\Plugin\views\field;

use Drupal\Core\Form\FormStateInterface;
use Drupal\views\Plugin\views\field\FieldPluginBase;
use Drupal\views\ResultRow;

/**
 * Field handler to flag the node type.
 *
 * @ingroup views_field_handlers
 *
 * @ViewsField("document_entity_download_link")
 */

class DocumentDownloadLink extends FieldPluginBase {
  
  protected $manager;
  
  /**
   * @{inheritdoc}
   */
  public function query() {
    // Leave empty to avoid a query on this field.
  }
  
  /**
   * Define the available options
   * @return array
   */
  protected function defineOptions() {
    // think this is for filtering
    return parent::defineOptions();
  }
  
  /**
   * Provide the options form.
   */
  public function buildOptionsForm(&$form, FormStateInterface $form_state) {
    
    // think this is for filtering
    parent::buildOptionsForm($form, $form_state);
  }
  
  /**
   * @{inheritdoc}
   */
  public function render(ResultRow $values) {
    /**
     * @var $entity
     */
    $entity = $values->_entity;
    /**
     * @var \Drupal\document_version\DocumentManager $manager
     */
    $manager = \Drupal::service('document_version.manager');
    
    return $manager->getDownloadLink($entity);
  }
}
