<?php
/**
 * Created by PhpStorm.
 * User: pub
 * Date: 2019-09-17
 * Time: 10:17
 * document_entity_is_active_filter
 */

namespace Drupal\document_version\Plugin\views\filter;

use Drupal\views\Plugin\views\display\DisplayPluginBase;
use Drupal\views\Plugin\views\filter\InOperator;
use Drupal\views\ViewExecutable;


/**
 *
 *

 */
/**
 * Class ActiveDocumentFilter
 *
 * Filters by given list of node title options.
 *
 * @ingroup views_filter_handlers
 *
 * @ViewsFilter("document_entity_is_active_filter")
 *
 * @package Drupal\document_version\Plugin\views\filter
 */
class ActiveDocumentFilter extends InOperator {
  /**
   * {@inheritdoc}
   */
  
  public function init(ViewExecutable $view, DisplayPluginBase $display, array &$options = NULL) {
   
   
    parent::init($view, $display, $options);
    $this->valueTitle = t('Document Status');
    $this->definition['options callback'] = array($this, 'generateOptions');
  }
  
  /**
   * Override the query so that no filtering takes place if the user doesn't
   * select any options.
   */
  public function query() {
//    if (!empty($this->value)) {
//      parent::query();
//    }
  }
  
  /**
   * Skip validation if no options have been chosen so we can use it as a
   * non-filter.
   */
  public function validate() {
    if (!empty($this->value)) {
      parent::validate();
    }
  }
  
  /**
   * Helper function that generates the options.
   * @return array
   */
  public function generateOptions() {
    // Array keys are used to compare with the table field values.
    return array(
      'Not active' => 'Not active',
      'Active' => 'Active',
    );
  }
}
