<?php
/**
 * @File
 * Contains \Drupal\simple_document\Routing\DocumentRouteSubscriber
 */

namespace Drupal\document_version\Routing;

use Drupal\Core\Routing\RouteSubscriberBase;

/**
 * Class DocumentRouteSubscriber
 *
 * @package Drupal\simple_document\Routing
 *
 * Implements RouteSubscriber Event for Documents
 */
class RouteSubscriber extends RouteSubscriberBase {
  
  /**
   * Alters existing routes for a specific collection.
   *
   * @param \Symfony\Component\Routing\RouteCollection $collection
   *   The route collection for adding routes.
   */
  protected function alterRoutes(\Symfony\Component\Routing\RouteCollection $collection) {
    $route = $collection->get('document_version.view');
    if ($route) {
      $base_path = \Drupal::config('document_version.settings')->get('document_base_path');
      $path = $route->getPath();
      $path = str_replace('documents', $base_path, $path);
      $route->setPath($path)->compile();
    }
  }
}
